%global _empty_manifest_terminate_build 0
Name:           python-humanize
Version:        4.4.0
Release:        1
Summary:        python humanize module
License:        MIT
URL:            https://github.com/python-humanize/humanize
Source0:        https://files.pythonhosted.org/packages/51/19/3e1adf0e7a8c8361496b085edcab2ddcd85410735a2b6fdd044247fc5b75/humanize-4.4.0.tar.gz
Patch0:         0001-add-version-to-setup.cfg.patch
BuildArch:      noarch

Requires:       python3-importlib-metadata

%description
Python module that includes various common humanization utilities.

%package -n python3-humanize
Summary:	Python humanize utilities
Provides:	python-humanize = 4.4.0
BuildRequires:	python3-devel
BuildRequires:	python3-freezegun
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-setuptools
%description -n python3-humanize
Python module that includes various common humanization utilities.

%package help
Summary:	Development documents and examples for humanize
Provides:	python3-humanize-doc
%description help
Python3 module that includes various common humanization utilities.

%prep
%setup -n humanize-4.4.0
%patch0 -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%if %{?_with_check:1}%{!?_with_check:0}
pushd %{py3dir}
LANG=en_US.UTF-8 /usr/bin/python3 setup.py test
popd
%endif

%files -n python3-humanize -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Oct 24 2022 liqiuyu <liqiuyu@kylinos.cn> - 4.4.0-1
- Upgrade to version 4.4.0

* Wed Nov 02 2022 Ge Wang <wangge20@h-partners.com> - 4.1.0-1
- Upgrade to version 4.1.0

* Mon Sep 27 2021 caodongxia <caodongxia@huawei.com> - 0.5.1-18
- Provides python-humanize

* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.5.1-17
- rename python2 subpackage

* Sun Mar 22 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-16
- disable make check

* Thu Dec 19 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-15
- package init
